
%define plugin	vcd
%define name	vdr-plugin-%plugin
%define version	0.9
%define rel	10

Summary:	VDR plugin: VideoCD Player
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video/Utilities
License:	GPLv2+
URL:		http://www.heiligenmann.de/vdr/vdr/plugins/vcd.html
Source:		http://www.heiligenmann.de/vdr/download/vdr-%plugin-%version.tgz
Patch0:		vcd-0.9-i18n-1.6.patch
# from e-tobi:s
Patch1:		90_vcd-0.9-1.7.3.dpatch
BuildRequires:	vdr-devel >= 1.6.0
Requires:	vdr-abi = %vdr_abi
Requires(post):	vdr-common

%description
This plugin adds the functionality to replay VideoCDs (and Super VideoCDs)
from within VDR (by Klaus Schmidinger).

%prep
%setup -q -n %plugin-%version
%apply_patches
%vdr_plugin_prep

%vdr_plugin_params_begin %plugin
# use DEV as the CD-ROM device
# default: /dev/cdrom
var=VCD_DEVICE
param=--vcd=VCD_DEVICE
%vdr_plugin_params_end

%build
%vdr_plugin_build

%install
%vdr_plugin_install

%post
%{_bindir}/gpasswd -a vdr cdrom >/dev/null
%{_bindir}/gpasswd -a vdr cdwriter >/dev/null

%files -f %plugin.vdr
%doc README COPYING HISTORY


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.9-10.mga3
+ Revision: 385362
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 malo <malo> 0.9-9.mga3
+ Revision: 326245
- spec clean-up
- update RPM group

* Wed Mar 07 2012 anssi <anssi> 0.9-8.mga2
+ Revision: 221061
- rebuild for VDR 1.7.25

* Sat Feb 25 2012 anssi <anssi> 0.9-7.mga2
+ Revision: 214891
- rebuild for VDR 1.7.23
- fix build with VDR 1.7.3+ (1.7.3.dpatch, from e-tobi)

* Sat May 14 2011 anssi <anssi> 0.9-6.mga1
+ Revision: 98625
- fix license tag
- drop old scriptlets
- imported package vdr-plugin-vcd

